#Module-Specific definitions
%define rversion 2.13
%define revision r376644

%define mod_name mod_apreq

%define	major 3
%define libname %mklibname apreq2_ %{major}
%define develname %mklibname apreq -d

Name:		libapreq2
Version:	%perl_convert_version %{rversion}
%define subrel 1
Release:	%mkrel 31
Summary:	Apache Request Library
License:	Apache License
Group:		System/Libraries
URL:		http://httpd.apache.org/apreq/
Source0:	http://people.apache.org/~issac/libapreq2-%{rversion}.tar.gz
Source1:	http://people.apache.org/~issac/libapreq2-%{rversion}.tar.gz.asc
Source2:	mod_apreq2.conf
Patch1:		libapreq2-2.08-autoconf260.diff
Patch2:		libapreq2-2.13-automake-1.13.patch
Patch3:		CVE-2019-12412.patch
Patch4:		CVE-2022-22728_1of4.patch
Patch5:		CVE-2022-22728_2of4.patch
Patch6:		CVE-2022-22728_3of4.patch
Patch7:		CVE-2022-22728_4of4.patch
BuildRequires:	chrpath
BuildRequires:	perl-devel
BuildRequires:	perl-doc
BuildRequires:	perl(Pod::Tests)
BuildRequires:	perl(Apache::Test)
BuildRequires:	perl(Template::Toolkit)
BuildRequires:	perl(Tie::IxHash)
BuildRequires:	perl(ExtUtils::XSBuilder)
BuildRequires:	perl(Parse::RecDescent)
BuildRequires:	perl-libwww-perl
BuildRequires:	apache-mod_perl-devel
BuildRequires:	apache-devel

%description
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{libname}
Summary:	Apache Request Library
Group: 		System/Libraries
Obsoletes:	%{_lib}apreq2 < 2.130.0-5

%description -n	%{libname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the shared libraries for %{name}

%package -n	%{develname}
Summary:	Development library and header files for the Apache Request Library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	libapreq-devel = %{version}
Obsoletes:	%{mklibname apreq 0 -d}

%description -n	%{develname}
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

This package contains the development library and its header files.

%package -n	perl-libapreq2
Summary:	Apache Request Library Perl Glue
Group:		System/Servers
Requires:	apache-mod_perl
Requires:	apache-mod_apreq >= %{version}

%description -n perl-libapreq2
libapreq is a safe, standards-compliant, high-performance library used for
parsing HTTP cookies, query-strings and POST data. The original version
(libapreq-1.X) was designed by Lincoln Stein and Doug MacEachern. The perl
APIs Apache::Request and Apache::Cookie are the lightweight mod_perl analogs of
the CGI and CGI::Cookie perl modules.

%package -n	apache-%{mod_name}
Summary:	DSO module for the apache Web server
Group:		System/Servers
Requires:	apache
Requires:	perl-libapreq2 >= %{version}

%description -n	apache-%{mod_name}
Mod_%{name} is a DSO module for the apache Web server.

%prep
%setup -q -n libapreq2-%{rversion}
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
# to recognize aarch64
autoreconf -vfi

sh ./buildconf
%configure \
    --disable-static \
    --with-perl=%{_bindir}/perl \
    --enable-perl-glue \
    --with-mm-opts=INSTALLDIRS=vendor \
    --with-apache2-apxs=%{_httpd_apxs} \
    --with-apr-config=%{_bindir}/apr-1-config \
    --with-apu-config=%{_bindir}/apu-1-config

%make_build

# Build the perl modules
#pushd glue/perl
#    %%{__perl} ../../build/xsbuilder.pl run
#    CFLAGS="%%{optflags}" %%{__perl} Makefile.PL -apxs %%{_sbindir}/apxs INSTALLDIRS=vendor
#    %%make_build
#    mv Makefile Makefile.xx
#popd

#make test

%install
%make_install

install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_modconfdir}/10_mod_apreq2.conf

# install one extra devel file
install -m0755 apreq*-config %{buildroot}%{_bindir}/

# install the perl stuff
#pushd glue/perl
#cp Makefile.xx Makefile
#%%make_install
#popd

# nuke rpath
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chmod 0755
find %{buildroot}%{perl_vendorarch} -name "*.so" | xargs chrpath -d

# cleanup
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc CHANGES README
%{_libdir}/libapreq2.so.%{major}
%{_libdir}/libapreq2.so.%{major}.*

%files -n %{develname}
%doc CHANGES README
%{_bindir}/apreq*-config
%{_libdir}/libapreq*.so
%{_includedir}/apreq*
%{_includedir}/httpd/apreq*

%files -n apache-%{mod_name}
%doc CHANGES README
%config(noreplace) %{_httpd_modconfdir}/10_mod_apreq2.conf
%{_httpd_moddir}/mod_apreq2.so

%files -n perl-libapreq2
%doc CHANGES README
%{perl_vendorarch}/auto/APR/Request/*
%{perl_vendorarch}/Apache2/*
%{perl_vendorarch}/APR/*
%{_mandir}/man3/*


%changelog
* Tue Mar 21 2023 ns80 <ns80> 2.130.0-31.1.mga8
+ Revision: 1949910
- add patches from Debian for CVE-2022-22728 (mga#30778)

* Thu Jun 18 2020 umeabot <umeabot> 2.130.0-31.mga8
+ Revision: 1596051
- Rebuild for perl 5.32

* Mon Feb 17 2020 umeabot <umeabot> 2.130.0-30.mga8
+ Revision: 1537387
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 31 2019 daviddavid <daviddavid> 2.130.0-29.mga8
+ Revision: 1456888
- add patch to fix CVE-2019-12412 (mga#25638)

* Tue Aug 27 2019 tmb <tmb> 2.130.0-28.mga8
+ Revision: 1433800
- rebuild for perl 5.30

* Sun Sep 23 2018 umeabot <umeabot> 2.130.0-27.mga7
+ Revision: 1298756
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.130.0-26.mga7
+ Revision: 1250418
- Rebuild for perl 5.28
+ daviddavid <daviddavid>
- rebuild for new perl 5.28.0

* Sun Jun 03 2018 wally <wally> 2.130.0-24.mga7
+ Revision: 1234199
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Thu Aug 31 2017 pterjan <pterjan> 2.130.0-23.mga7
+ Revision: 1150269
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.130.0-22.mga7
+ Revision: 1127646
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.130.0-21.mga6
+ Revision: 1022152
- Rebuild for perl 5.22.2

* Thu Feb 11 2016 umeabot <umeabot> 2.130.0-20.mga6
+ Revision: 955299
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.130.0-19.mga6
+ Revision: 842753
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.130.0-18.mga5
+ Revision: 747987
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.130.0-17.mga5
+ Revision: 681331
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.130.0-16.mga5
+ Revision: 632357
- perl 5.20.0 rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.130.0-15.mga5
+ Revision: 632301
- Rebuild for perl 5.20

* Tue Nov 05 2013 fwang <fwang> 2.130.0-14.mga4
+ Revision: 549523
- update perm
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri May 31 2013 jquelin <jquelin> 2.130.0-13.mga4
+ Revision: 433697
- perl 5.18.0 rebuild
+ fwang <fwang>
- rebuild for new perl

* Sat Jan 12 2013 fwang <fwang> 2.130.0-11.mga3
+ Revision: 357460
- fix build with latest automake
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 12 2012 guillomovitch <guillomovitch> 2.130.0-10.mga3
+ Revision: 280837
- drop useless patch0
- adapt to new apache setup

* Sat Jul 07 2012 luigiwalser <luigiwalser> 2.130.0-9.mga3
+ Revision: 268668
- fix module configuration to work with systemd (mga #6714)

* Thu May 31 2012 fwang <fwang> 2.130.0-8.mga3
+ Revision: 251949
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.16 rebuild

* Tue Mar 20 2012 luigiwalser <luigiwalser> 2.130.0-6.mga2
+ Revision: 225030
- httpd restart is handled by filetriggers now

* Sat Dec 10 2011 fwang <fwang> 2.130.0-5.mga2
+ Revision: 180011
- correct libname
  drop .la files

* Wed Oct 26 2011 nanardon <nanardon> 2.130.0-4.mga2
+ Revision: 158287
- apache-mod_ssl is probably not required
- try to fix build on BS
+ dmorgan <dmorgan>
- add libtool as Buildrequire
- Change apache-conf require

* Sun Jun 12 2011 sander85 <sander85> 2.130.0-3.mga2
+ Revision: 104747
- Rebuild for perl 5.14

* Mon Jan 24 2011 dmorgan <dmorgan> 2.130.0-2.mga1
+ Revision: 37394
- Remove mdv macros
- imported package libapreq2


* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.130.0-2mdv2011.0
+ Revision: 627783
- don't force the usage of automake1.7

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.130.0-1mdv2011.0
+ Revision: 607387
- fix deps

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.130.0-0.0.3mdv2011.0
+ Revision: 605291
- Rebuild with apr with workaround to issue with gcc type based

* Thu Dec 02 2010 Paulo Andrade <pcpa@mandriva.com.br> 2.130.0-0.0.2mdv2011.0
+ Revision: 605060
- Rebuild with apr with workaround to issue with gcc type based alias analysis

* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.130.0-0.0.1mdv2011.0
+ Revision: 602334
- 2.13 (pre-release)

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.12-5mdv2011.0
+ Revision: 588133
- rebuild

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 2.12-4mdv2011.0
+ Revision: 556774
- rebuild for perl 5.12

* Wed Jan 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.12-3mdv2010.1
+ Revision: 486818
- rebuilt against bdb 4.8

* Sun Aug 02 2009 Oden Eriksson <oeriksson@mandriva.com> 2.12-2mdv2010.0
+ Revision: 407519
- rebuild

* Sat Mar 14 2009 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdv2009.1
+ Revision: 354928
- 2.12

* Tue Jan 20 2009 Oden Eriksson <oeriksson@mandriva.com> 2.11-0.1mdv2009.1
+ Revision: 331679
- 2.11 (rc)
- rediffed P1
- 2.10-RC1

* Tue Jan 06 2009 Oden Eriksson <oeriksson@mandriva.com> 2.08-16mdv2009.1
+ Revision: 325871
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 2.08-15mdv2009.0
+ Revision: 235144
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.08-14mdv2009.0
+ Revision: 216852
- added P3 from HEAD to fix more autoconf260 borkiness
- disable the test suite for now. it works with openssl-0.9.8g but not with openssl-0.9.8h
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.08-13mdv2008.1
+ Revision: 170942
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 2.08-12mdv2008.1
+ Revision: 154213
- bump release
- rebuild

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 2.08-11mdv2008.1
+ Revision: 137509
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 2.08-10mdv2008.1
+ Revision: 119839
- fix upgrade

* Fri Dec 14 2007 Thierry Vignaud <tv@mandriva.org> 2.08-9mdv2008.1
+ Revision: 119837
- rebuild b/c of missing subpackage on ia32
- explain hackery

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 2.08-8mdv2008.0
+ Revision: 83438
- new devel naming

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 2.08-7mdv2008.0
+ Revision: 65824
- rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for expat


* Sun Mar 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.08-5mdv2007.1
+ Revision: 141330
- rebuild

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2.08-4mdv2007.1
+ Revision: 85563
- fixed deps and added a patch (P2) to make the tests pass under iurt
- added a autoconf-2.60 bug workaround (P1)
- rebuild
- Import libapreq2

* Sun Aug 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.08-1mdk
- 2.08

* Mon May 08 2006 Scott Karns <scottk@mandriva.org> 2.07-3mdk
- Added Requires: apache-mod_apreq to perl-libapreq2

* Mon Mar 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2.07-2mdk
- fix deps

* Sun Feb 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.07-1mdk
- 2.07 (addresses CVE-2006-0042)

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 2.07-0.r376644.1mdk
- use a recent snap (r376644)

* Mon Jan 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.06-4.dev.4mdk
- actually _load_ the frigging apache module, DUH!

* Tue Dec 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-4.dev.3mdk
- rebuilt against apache-2.2.0

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-4.dev.1mdk
- rebuild

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-2.dev.2mdk
- rebuilt against new openldap-2.3.6 libs

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-1.dev.2mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-1.dev.1mdk
- 2.06-dev

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.06-0.r179569.1mdk
- new SVN snap (r179569)
- rename the apache sub package (apache2/apache)
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic
- use better %%post and %%postun magic
- fix naming

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.05-0.r161185.1mdk
- use a recent cvs snap (r161185)
- run the tests

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.04_03-6mdk
- use the %%mkrel macro

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.04_03-5mdk
- spec file cleanups, remove the ADVX-build stuff

* Wed Feb 09 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.04_03-4mdk
- rebuilt for apache 2.0.53

* Fri Feb 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.04_03-3mdk
- rebuilt against new openldap libs

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.04_03-2mdk
- Rebuild for new perl
- Remove MANIFEST files

* Sat Sep 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.04_03-1mdk
- 2.04_03

* Wed Aug 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.03_04-3mdk
- rebuilt

* Mon Aug 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.03_04-2mdk
- rebuilt for apache 2.0.50

* Tue Jun 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.03_04-1mdk
- initial mandrake package based on the spec file by Bojan Smojver

